trcPrintableElem Class Reference
OpenCSD Library : Library Component Infrastructure

Class to provide trace element strings for printing. More...

`#include <trc_printable_elem.h>`

Inheritance diagram for trcPrintableElem:
[legend]

## Public Member Functions

| trcPrintableElem ()
virtual | ~trcPrintableElem ()
virtual void | toString (std::string &str) const
virtual void | toStringFmt (const uint32_t fmtFlags, std::string &str) const

## Static Public Member Functions

static void | getValStr (std::string &valStr, const int valTotalBitSize, const int valValidBits, const uint64_t value, const bool asHex=true, const int updateBits=0)

## Detailed Description

Class to provide trace element strings for printing.

Provide a standard interface to the trace packet classes to allow the packets to be printed in logging or tools.

Provides some standard formatting functionality

Definition at line 55 of file trc_printable_elem.h.

## Constructor & Destructor Documentation

## trcPrintableElem()

trcPrintableElem::trcPrintableElem | ( |  | ) |

inline

Definition at line 58 of file trc_printable_elem.h.

## ~trcPrintableElem()

virtual trcPrintableElem::~trcPrintableElem | ( |  | ) |

inline virtual

Definition at line 59 of file trc_printable_elem.h.

## Member Function Documentation

## getValStr()

static void trcPrintableElem::getValStr | ( | std::string & | valStr,
|  | const int | valTotalBitSize,
|  | const int | valValidBits,
|  | const uint64_t | value,
|  | const bool | asHex = `true`,
|  | const int | updateBits = `0`
| ) |  |

static

The documentation for this class was generated from the following file:

- /build/libopencsd-nipXOR/libopencsd-1.2.0/decoder/include/common/trc_printable_elem.h